﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlServerCe;
using System.Windows;

namespace SkinCustomizationDemo
{
    class OrderDetails
    {
        public static DataView GetOrderDetials()
        {
            try
            {
                DataSet ds = new DataSet();
                using (SqlCeConnection con = new SqlCeConnection(@"DataSource=Data\Northwind.sdf"))
                {
                    con.Open();
                    SqlCeCommand cmd = new SqlCeCommand(@"SELECT Top(100) [Order ID], [Product ID], [Unit Price], Quantity
                                                          FROM [Order Details] ", con);
                    SqlCeDataAdapter da = new SqlCeDataAdapter(cmd);                 


                    da.Fill(ds); 
                
                    //Creation of DataView
                    DataView   dataView = new DataView(ds.Tables[0], "[Unit Price] >= 20", "[Order ID]", DataViewRowState.CurrentRows);
                    return dataView;
                }
               

            }
            catch(Exception e)
            {
                MessageBox.Show("Exception in connection: \t"+e.Message);
                return null;
            }
        }
    }
}
