﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;
using Syncfusion.PivotAnalysis.Base;
using System.Collections;


namespace SkinCustomizationDemo
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            //Binding DataView to the ItemSource
            this.pivotGrid1.ItemSource = OrderDetails.GetOrderDetials();
            this.pivotGrid1.PivotColumns.Add(new PivotItem { FieldHeader = "OrderID", FieldMappingName = "Order ID", TotalHeader = "Total" });
            this.pivotGrid1.PivotRows.Add(new PivotItem { FieldHeader = "ProductID", FieldMappingName = "Product ID", TotalHeader = "Total" });
            this.pivotGrid1.PivotCalculations.Add(new PivotComputationInfo { CalculationName = "UnitPrice", FieldName = "Unit Price", Format = "C", SummaryType = SummaryType.DecimalTotalSum });
            this.pivotGrid1.PivotCalculations.Add(new PivotComputationInfo { CalculationName = "Quantity", FieldName = "Quantity", SummaryType = SummaryType.Count }); 
        }
    }   
}
